package cn.com.qmth.examcloud.ws.config;

import javax.websocket.OnClose;
import javax.websocket.OnError;
import javax.websocket.OnMessage;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

import org.springframework.stereotype.Component;

@ServerEndpoint(value = "ws")
@Component
public class WebSocketServerEndpoint {

	@OnOpen
	public void onOpen(Session session) {
		System.out.println("onOpen. session=" + session.toString());
	}

	@OnClose
	public void onClose(Session session) {
		System.out.println("onClose. session=" + session.toString());
	}

	@OnMessage
	public void onMessage(Session session, String message) {
		System.out.println("onMessage. session=" + session.toString());
		System.out.println("onMessage. message=" + message);
	}

	@OnError
	public void onError(Session session, Throwable t) {
		System.out.println("onMessage. session=" + session.toString());
		t.printStackTrace();
	}

}
